%define module_name PGObject-Type-Composite
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(DBD/Pg.pm) perl(DBI.pm) perl(ExtUtils/MakeMaker.pm) perl(PGObject.pm) perl(PGObject/Util/Catalog/Types.pm) perl(PGObject/Util/PseudoCSV.pm) perl(Scalar/Util.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1
Release: alt1
Summary: Composite Type handler for PGObject
Group: Development/Perl
License: bsd
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/E/EI/EINHVERFR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
package MyObject;
  use Moo;
  with 'PGObject::Type::Composite';

Then

   use MyObject;
   my $dbh = DBI->connect;
   MyObject->initialize(dbh => $dbh);
   MyObject->register(registry => 'default', type => 'foo');

And now every column of type foo (which must be a composite type) will get
deserialized into MyObject.
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README ignore.txt
%perl_vendor_privlib/P*

%changelog
* Wed Aug 02 2017 Igor Vlasenko <viy@altlinux.ru> 1-alt1
- regenerated from template by package builder

* Mon Oct 06 2014 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1
- initial import by package builder

